using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Domain.Entities;

public class VehicleEnrollment : EntityBase
{
    public DateTimeOffset DepartureTime { get; set; }

    public Currency Currency { get; set; }


    public long VehicleId { get; set; }

    public Vehicle Vehicle { get; set; }


    public long RouteId { get; set; }

    public Route Route { get; set; }


    public ICollection<RouteAddressDetail> RouteAddressDetails { get; set; }


    public ICollection<Ticket> Tickets { get; set; }
}
